## org.omg.CORBA.ValueDefPackage
Class FullValueDescription

    java.lang.Object
      |
      +--org.omg.CORBA.ValueDefPackage.FullValueDescription

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class FullValueDescription
extends java.lang.Object
implements IDLEntity

This structure provides a full description for an value type.

See Also:
  Serialized Form

Field Summary
`java.lang.String[]` `abstract_base_values` Struct member abstract_base_values
`AttributeDescription[]` `attributes` Struct member attributes
`java.lang.String` `base_value` Struct member base_value
`java.lang.String` `defined_in` Struct member defined_in
`java.lang.String` `id` Struct member id
`Initializer[]` `initializers` Struct member initializers
`boolean` `is_abstract` Struct member is_abstract
`boolean` `is_custom` Struct member is_custom
`boolean` `is_truncatable` Struct member is_truncatable
`ValueMember[]` `members` Struct member members
`java.lang.String` `name` Struct member name
`OperationDescription[]` `operations` Struct member operations
`java.lang.String[]` `supported_interfaces` Struct member supported_interfaces
`TypeCode` `type` Struct member type
`java.lang.String` `version` Struct member version

Constructor Summary
`FullValueDescription()` Default constructor

`FullValueDescription(java.lang.String name, java.lang.String id, boolean is_abstract, boolean is_custom, java.lang.String defined_in, java.lang.String version, OperationDescription[] operations, AttributeDescription[] attributes, ValueMember[] members, Initializer[] initializers, java.lang.String[] supported_interfaces, java.lang.String[] abstract_base_values, boolean is_truncatable, java.lang.String base_value, TypeCode type)`
Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  Struct member name

### id

    public java.lang.String id

  Struct member id

### is_abstract

    public boolean is_abstract

  Struct member is_abstract

### is_custom

    public boolean is_custom

  Struct member is_custom

### defined_in

    public java.lang.String defined_in

  Struct member defined_in

### version

    public java.lang.String version

  Struct member version

### operations

    public OperationDescription[] operations

  Struct member operations

### attributes

    public AttributeDescription[] attributes

  Struct member attributes

### members

    public ValueMember[] members

  Struct member members

### initializers

    public Initializer[] initializers

  Struct member initializers

### supported_interfaces

    public java.lang.String[] supported_interfaces

  Struct member supported_interfaces

### abstract_base_values

    public java.lang.String[] abstract_base_values

  Struct member abstract_base_values

### is_truncatable

    public boolean is_truncatable

  Struct member is_truncatable

### base_value

    public java.lang.String base_value

  Struct member base_value

### type

    public TypeCode type

  Struct member type

Constructor Detail

### FullValueDescription

    public FullValueDescription()

  Default constructor

### FullValueDescription

    public FullValueDescription(java.lang.String name,
                                java.lang.String id,
                                boolean is_abstract,
                                boolean is_custom,
                                java.lang.String defined_in,
                                java.lang.String version,
                                OperationDescription[] operations,
                                AttributeDescription[] attributes,
                                ValueMember[] members,
                                Initializer[] initializers,
                                java.lang.String[] supported_interfaces,
                                java.lang.String[] abstract_base_values,
                                boolean is_truncatable,
                                java.lang.String base_value,
                                TypeCode type)

  Constructor with fields initialization
  Parameters:
    `name` - name struct member
    `id` - id struct member
    `is_abstract` - is_abstract struct member
    `is_custom` - is_custom struct member
    `defined_in` - defined_in struct member
    `version` - version struct member
    `operations` - operations struct member
    `attributes` - attributes struct member
    `members` - members struct member
    `initializers` - initializers struct member
    `supported_interfaces` - supported_interfaces struct member
    `abstract_base_values` - abstract_base_values struct member
    `is_truncatable` - is_truncatable struct member
    `base_value` - base_value struct member
    `type` - type struct member